GET /cards/tcgplayer/:id
Supported formats: json, text, image
Returns a single card with the given tcgplayer_id or tcgplayer_etched_id,
also known as the productId on TCGplayer’s API.
| Parameter | Type | Atn | Details |
|---|---|---|---|
:id
|
Integer |
The tcgplayer_id or productId.
|
|
format
|
String | Optional |
The data format to return: json, text, or image. Defaults to json.
|
face
|
String | Optional |
If using the image format and this parameter has the value back, the back face of the card will be returned. Will return a 422 if this card has no back face.
|
version
|
String | Optional |
The image version to return when using the image format: small, normal, large, png, art_crop, or border_crop. Defaults to large.
|
pretty
|
Boolean | Optional | If true, the returned JSON will be prettified. Avoid using for production code. |
Example Requests
Fetch Rona, Disciple of Gix, from Dominaria
GET
https://api.scryfall.com/cards/tcgplayer/162145